<h1>Authentication Page</h1>
<mat-card class="form-layout">
    <app-login *ngIf="btnText === 'Register'"></app-login>
    <app-register *ngIf="btnText === 'Login'" (registered)="changeText()"></app-register>
    <button mat-raised-button color="secondary" (click)="changeText()">
        {{btnText}}
    </button>
</mat-card>